Class
Exception

In: | lib/phusion_passenger/utils.rb
Parent: | Object

Methods

- backtrace_string

Public Instance methods
backtrace_string(current_location = nil)

[ show source ]

         # File lib/phusion_passenger/utils.rb, line 448
    448:         def backtrace_string(current_location = nil)
    449:                 if current_location.nil?
    450:                         location = nil
    451:                 else
    452:                         location = "in #{current_location} "
    453:                 end
    454:                 return "*** Exception #{self.class} #{location}" <<
    455:                         "(#{self}) (process #{$$}):\n" <<
    456:                         "\tfrom " << backtrace.join("\n\tfrom ")
    457:         end